Project

General

Profile

Bug #14632

Debian/Ubuntu install doc fails if lsb_release is not installed

Added by P C 10 months ago. Updated about 2 months ago.

Status:
Released
Priority:
N/A
Category:
Documentation
Target version:
Severity:
Minor - inconvenience | misleading | easy workaround
User visibility:
Getting started - demo | first install | Technique editor and level 1 Techniques
Effort required:
Very Small
Priority:
71

Description

https://docs.rudder.io/reference/5.0/installation/server/debian.html

http://repository.rudder.io/apt/5.0/ $(lsb_release -cs) main" > /etc/apt/sources.list.d/rudder.list

leads to http://repository.rudder.io/apt/5.0/ main is lsb_release is not installed, which breaks the repo definition for apt.

The lsb-release is not installed by default in an debian stretch lxccontainer.

It could be useful to require lsb-release or give an example of rudder.list if it is not present.

Associated revisions

Revision 08414e97 (diff)
Added by Félix DALLIDET 3 months ago

Fixes #14632: Debian/Ubuntu install doc fails if lsb_release is not installed

History

#1

Updated by Alexis MOUSSET 10 months ago

  • Subject changed from Toute petite précision à apporter dans la doc d'install du server to Debian/Ubuntu install doc fails if lsb_release is not installed
  • Description updated (diff)
  • Target version set to 5.0.9
#2

Updated by Vincent MEMBRÉ 10 months ago

  • Target version changed from 5.0.9 to 5.0.10
#3

Updated by François ARMAND 10 months ago

  • Severity changed from Trivial - no functional impact | cosmetic to Minor - inconvenience | misleading | easy workaround
  • User visibility set to Getting started - demo | first install | Technique editor and level 1 Techniques
  • Effort required set to Very Small
  • Priority changed from 0 to 79
#4

Updated by François ARMAND 10 months ago

  • Assignee set to Alexis MOUSSET
#5

Updated by Vincent MEMBRÉ 9 months ago

  • Target version changed from 5.0.10 to 5.0.11
#6

Updated by Vincent MEMBRÉ 8 months ago

  • Target version changed from 5.0.11 to 5.0.12
#7

Updated by Vincent MEMBRÉ 7 months ago

  • Target version changed from 5.0.12 to 5.0.13
  • Priority changed from 79 to 77
#8

Updated by Vincent MEMBRÉ 5 months ago

  • Target version changed from 5.0.13 to 5.0.14
  • Priority changed from 77 to 75
#9

Updated by Vincent MEMBRÉ 4 months ago

  • Target version changed from 5.0.14 to 5.0.15
  • Priority changed from 75 to 73
#10

Updated by Félix DALLIDET 3 months ago

  • Status changed from New to In progress
  • Assignee changed from Alexis MOUSSET to Félix DALLIDET
  • Priority changed from 73 to 72
#11

Updated by Félix DALLIDET 3 months ago

  • Status changed from In progress to Pending technical review
  • Assignee changed from Félix DALLIDET to Alexis MOUSSET
  • Pull Request set to https://github.com/Normation/rudder-doc/pull/639
#12

Updated by Félix DALLIDET 3 months ago

  • Status changed from Pending technical review to Pending release
#17

Updated by Vincent MEMBRÉ about 2 months ago

  • Status changed from Pending release to Released
  • Priority changed from 72 to 71

This bug has been fixed in Rudder 5.0.15 which was released today.

Also available in: Atom PDF